Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.registration.impl
Class RegistrationManagerImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.registration.impl.RegistrationManagerImpl

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, RegistrationManager, RegistrationPolicyChangeListener, RegistrationPropertyChangeListener, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class RegistrationManagerImpl

extends AbstractJBossService
implements RegistrationManager

Since:
  2.6
Version:
  $Revision: 9177 $
Author:
  Chris Laprun

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`RegistrationManagerImpl()`

Method Summary
`Consumer` | `addConsumerToGroupNamed(java.lang.String consumerName, java.lang.String groupName, boolean createGroupIfNeeded, boolean createConsumerIfNeeded)`
`Registration` | `addRegistrationTo(java.lang.String consumerName, java.util.Map registrationProperties, boolean createConsumerIfNeeded)`
`void` | `clear()`
`Consumer` | `createConsumer(java.lang.String name)`
`ConsumerGroup` | `createConsumerGroup(java.lang.String groupName)`
`Consumer` | `getConsumerByIdentity(java.lang.String identity)`
`Consumer` | `getConsumerFor(java.lang.String registrationHandle)`
`ConsumerGroup` | `getConsumerGroup(java.lang.String groupName)`
`java.util.Collection` | `getConsumerGroups()`
`java.util.Collection` | `getConsumers()`
`RegistrationPersistenceManager` | `getPersistenceManager()`
`RegistrationPolicy` | `getPolicy()`
`Registration` | `getRegistration(java.lang.String registrationHandle)`
`void` | `policyUpdatedTo(RegistrationPolicy policy)` We listen for RegistrationPolicy changes so that we can provide the proper behavior at all time if the policy has been changed by users since this RegistrationManager was initialized...
`void` | `propertiesHaveChanged(java.util.Map<javax.xml.namespace.QName,? extends PropertyDescription> registrationProperties)` We listen to registration property changes on the producer configuration so that we can invalidate the current registrations.
`void` | `removeConsumer(Consumer consumer)`
`void` | `removeConsumer(java.lang.String identity)`
`void` | `removeConsumerGroup(ConsumerGroup group)`
`void` | `removeConsumerGroup(java.lang.String name)`
`void` | `removeRegistration(Registration registration)`
`void` | `removeRegistration(java.lang.String registrationHandle)`
`void` | `setPersistenceManager(RegistrationPersistenceManager persistenceManager)`
`void` | `setPolicy(RegistrationPolicy policy)`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationManagerImpl

    public RegistrationManagerImpl()

Method Detail

### getPolicy

    public RegistrationPolicy getPolicy()

  Specified by:
    `getPolicy` in interface `RegistrationManager`

### setPolicy

    public void setPolicy(RegistrationPolicy policy)

  Specified by:
    `setPolicy` in interface `RegistrationManager`

### getPersistenceManager

    public RegistrationPersistenceManager getPersistenceManager()

  Specified by:
    `getPersistenceManager` in interface `RegistrationManager`

### setPersistenceManager

    public void setPersistenceManager(RegistrationPersistenceManager persistenceManager)

  Specified by:
    `setPersistenceManager` in interface `RegistrationManager`

### addRegistrationTo

    public Registration addRegistrationTo(java.lang.String consumerName,
                                          java.util.Map registrationProperties,
                                          boolean createConsumerIfNeeded)
                                   throws RegistrationException

  Specified by:
    `addRegistrationTo` in interface `RegistrationManager`
  Throws:
    `RegistrationException`

### createConsumer

    public Consumer createConsumer(java.lang.String name)
                            throws RegistrationException,
                                   InvalidConsumerDataException

  Specified by:
    `createConsumer` in interface `RegistrationManager`
  Throws:
    `RegistrationException`
    `InvalidConsumerDataException`

### addConsumerToGroupNamed

    public Consumer addConsumerToGroupNamed(java.lang.String consumerName,
                                            java.lang.String groupName,
                                            boolean createGroupIfNeeded,
                                            boolean createConsumerIfNeeded)
                                     throws RegistrationException

  Specified by:
    `addConsumerToGroupNamed` in interface `RegistrationManager`
  Throws:
    `RegistrationException`

### createConsumerGroup

    public ConsumerGroup createConsumerGroup(java.lang.String groupName)
                                      throws RegistrationException

  Specified by:
    `createConsumerGroup` in interface `RegistrationManager`
  Throws:
    `RegistrationException`

### removeConsumer

    public void removeConsumer(java.lang.String identity)
                        throws RegistrationException,
                               NoSuchRegistrationException

  Specified by:
    `removeConsumer` in interface `RegistrationManager`
  Throws:
    `RegistrationException`
    `NoSuchRegistrationException`

### removeConsumer

    public void removeConsumer(Consumer consumer)
                        throws RegistrationException,
                               NoSuchRegistrationException

  Specified by:
    `removeConsumer` in interface `RegistrationManager`
  Throws:
    `RegistrationException`
    `NoSuchRegistrationException`

### getConsumerByIdentity

    public Consumer getConsumerByIdentity(java.lang.String identity)
                                   throws RegistrationException

  Specified by:
    `getConsumerByIdentity` in interface `RegistrationManager`
  Throws:
    `RegistrationException`

### getConsumerFor

    public Consumer getConsumerFor(java.lang.String registrationHandle)
                            throws RegistrationException

  Specified by:
    `getConsumerFor` in interface `RegistrationManager`
  Throws:
    `RegistrationException`

### getRegistration

    public Registration getRegistration(java.lang.String registrationHandle)
                                 throws RegistrationException

  Specified by:
    `getRegistration` in interface `RegistrationManager`
  Throws:
    `RegistrationException`

### removeRegistration

    public void removeRegistration(java.lang.String registrationHandle)
                            throws RegistrationException,
                                   NoSuchRegistrationException

  Specified by:
    `removeRegistration` in interface `RegistrationManager`
  Throws:
    `RegistrationException`
    `NoSuchRegistrationException`

### removeRegistration

    public void removeRegistration(Registration registration)
                            throws RegistrationException

  Specified by:
    `removeRegistration` in interface `RegistrationManager`
  Throws:
    `RegistrationException`

### getConsumerGroup

    public ConsumerGroup getConsumerGroup(java.lang.String groupName)
                                   throws RegistrationException

  Specified by:
    `getConsumerGroup` in interface `RegistrationManager`
  Throws:
    `RegistrationException`

### getConsumerGroups

    public java.util.Collection getConsumerGroups()

  Specified by:
    `getConsumerGroups` in interface `RegistrationManager`

### removeConsumerGroup

    public void removeConsumerGroup(ConsumerGroup group)
                             throws RegistrationException

  Specified by:
    `removeConsumerGroup` in interface `RegistrationManager`
  Throws:
    `RegistrationException`

### removeConsumerGroup

    public void removeConsumerGroup(java.lang.String name)
                             throws RegistrationException

  Specified by:
    `removeConsumerGroup` in interface `RegistrationManager`
  Throws:
    `RegistrationException`

### getConsumers

    public java.util.Collection getConsumers()

  Specified by:
    `getConsumers` in interface `RegistrationManager`

### clear

    public void clear()
               throws RegistrationException

  Specified by:
    `clear` in interface `RegistrationManager`
  Throws:
    `RegistrationException`

### propertiesHaveChanged

    public void propertiesHaveChanged(java.util.Map<javax.xml.namespace.QName,? extends PropertyDescription> registrationProperties)

  We listen to registration property changes on the producer configuration so that we can invalidate the current registrations. Consumers will need to call modifyRegistration since properties have changed... which requires throwing an OperationFailedFault... not an InvalidRegistrationFault!

  Specified by:
    `propertiesHaveChanged` in interface `RegistrationPropertyChangeListener`
  Parameters:
    `registrationProperties` -

### policyUpdatedTo

    public void policyUpdatedTo(RegistrationPolicy policy)

  We listen for RegistrationPolicy changes so that we can provide the proper behavior at all time if the policy has been changed by users since this RegistrationManager was initialized...

  Specified by:
    `policyUpdatedTo` in interface `RegistrationPolicyChangeListener`
  Parameters:
    `policy` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD